<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>SOC Driver Internal Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SOC Driver Internal Functions<div class="ingroups"><a class="el" href="group___s_o_c___d_r_i_v_e_r.html">SOC Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all internal API which are not exposed to the external applications.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa75384b710572f73c234d190fe67650c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa75384b710572f73c234d190fe67650c">SOC_waitAPLLCalibration</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB)</td></tr>
<tr class="separator:gaa75384b710572f73c234d190fe67650c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9531663baac82acd86aaa33f0c883df1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9531663baac82acd86aaa33f0c883df1">SOC_SystemISR</a> (uintptr_t arg)</td></tr>
<tr class="separator:ga9531663baac82acd86aaa33f0c883df1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54082d44288a094e19c47caab2dcdd01"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga54082d44288a094e19c47caab2dcdd01">SOC_getInAddr_LUTType</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction)</td></tr>
<tr class="separator:ga54082d44288a094e19c47caab2dcdd01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64922a2f200caec6a0e1b5da9154909a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga64922a2f200caec6a0e1b5da9154909a">SOC_getOutAddr_LUTType</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction)</td></tr>
<tr class="separator:ga64922a2f200caec6a0e1b5da9154909a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89b4a22e97d42491cf568447656e2a3b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga89b4a22e97d42491cf568447656e2a3b">SOC_mpu_config</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB)</td></tr>
<tr class="separator:ga89b4a22e97d42491cf568447656e2a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga851accb806706fcc89f4bd13a3b31d66"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga851accb806706fcc89f4bd13a3b31d66">SOC_deviceInit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga851accb806706fcc89f4bd13a3b31d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc65958c8fd8f097ec0c1399f55eb412"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadc65958c8fd8f097ec0c1399f55eb412">SOC_deviceDeinit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadc65958c8fd8f097ec0c1399f55eb412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa91476f009e1d055fb726a15a8966724"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa91476f009e1d055fb726a15a8966724">SOC_mpu_config</a> (void)</td></tr>
<tr class="separator:gaa91476f009e1d055fb726a15a8966724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7adba3f2efc14ca784b37d6fee7ccfde"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7adba3f2efc14ca784b37d6fee7ccfde">SOC_unhaltDSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga7adba3f2efc14ca784b37d6fee7ccfde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8c901d0f6d8f930ea3ba3f858615da7"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae8c901d0f6d8f930ea3ba3f858615da7">SOC_getL3RAMBankSize</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:gae8c901d0f6d8f930ea3ba3f858615da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gadda20055e302e796bb130f3a7df7a814"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadda20055e302e796bb130f3a7df7a814">SOC_TranslateAddr_LUT</a> [<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga2c4964a35612a151679b7aab8952205c">SOC_TRANSLATEADDR_NUM_ENTRIES</a>][<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga71d7f2f81c629f7ff8bafc9f69aacc48a5ba1382d8cb23e520c7a22248a02fde5">SOC_TranslateAddr_LUT_Type_MAX</a>]</td></tr>
<tr class="memdesc:gadda20055e302e796bb130f3a7df7a814"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Lookup table for address translation.  <a href="#gadda20055e302e796bb130f3a7df7a814">More...</a><br /></td></tr>
<tr class="separator:gadda20055e302e796bb130f3a7df7a814"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadda20055e302e796bb130f3a7df7a814"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadda20055e302e796bb130f3a7df7a814">SOC_TranslateAddr_LUT</a> [<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga2c4964a35612a151679b7aab8952205c">SOC_TRANSLATEADDR_NUM_ENTRIES</a>][<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga71d7f2f81c629f7ff8bafc9f69aacc48a5ba1382d8cb23e520c7a22248a02fde5">SOC_TranslateAddr_LUT_Type_MAX</a>]</td></tr>
<tr class="memdesc:gadda20055e302e796bb130f3a7df7a814"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Lookup table for address translation.  <a href="#gadda20055e302e796bb130f3a7df7a814">More...</a><br /></td></tr>
<tr class="separator:gadda20055e302e796bb130f3a7df7a814"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all internal API which are not exposed to the external applications. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gadc65958c8fd8f097ec0c1399f55eb412"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SOC_deviceDeinit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *&#160;</td>
          <td class="paramname"><em>ptrSOCDriverMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 SOC Device specific deinitialization which is implemented for the XWR14xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td><b>Description</b> <br />
 SOC Device specific deinitialization which is implemented for the XWR16xx DSS</td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td><b>Description</b> <br />
 SOC Device specific deinitialization which is implemented for the XWR16xx MSS</td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga851accb806706fcc89f4bd13a3b31d66"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SOC_deviceInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *&#160;</td>
          <td class="paramname"><em>ptrSOCDriverMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 SOC Device specific initialization which is implemented for the XWR14xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td><b>Description</b> <br />
 SOC Device specific initialization which is implemented for the XWR16xx DSS</td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td><b>Description</b> <br />
 SOC Device specific initialization which is implemented for the XWR16xx MSS</td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga54082d44288a094e19c47caab2dcdd01"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a> SOC_getInAddr_LUTType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a>&#160;</td>
          <td class="paramname"><em>direction</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function returns the address domain for input address</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">direction</td><td>hint on which domain to translate from and to</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- valid domain </td></tr>
    <tr><td class="paramname">Error</td><td>- SOC_TranslateAddr_LUT_Type_INVALID </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae8c901d0f6d8f930ea3ba3f858615da7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t SOC_getL3RAMBankSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *&#160;</td>
          <td class="paramname"><em>ptrSOCDriverMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get L3 memory bank settings for DSS</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga64922a2f200caec6a0e1b5da9154909a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a> SOC_getOutAddr_LUTType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a>&#160;</td>
          <td class="paramname"><em>direction</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function returns the address domain for output address</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">direction</td><td>hint on which domain to translate from and to</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- valid domain </td></tr>
    <tr><td class="paramname">Error</td><td>- SOC_TranslateAddr_LUT_Type_INVALID </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa91476f009e1d055fb726a15a8966724"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SOC_mpu_config </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize MPU (Memory Protection Unit) settings. This is valid only for the R4. Information about MPU programming is available at:-</p>
<p><a href="http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html">http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html</a>.</p>
<ol type="1">
<li>This code comes up after the C initialization (from _c_int00 to main). Presently, the application comes up in privilege mode, not user mode. So the access permissions are set accordingly, even though user mode permissions are set as if true user mode is there (in case in future we decide to do user mode).</li>
<li>There is no cache on the R4F on the AR parts, so regions that would otherwise make sense to be cacheable are made non-cache.</li>
<li>Peripheral space is strongly ordered instead of device because writes need to go through when they are issued and not at a later (uncertain time when next read forces the writes sitting in write buffer to be flushed out, reference: <a href="http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html">http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html</a>). An alternative way is to use the Device type instead of strongly orderered but this requires all driver code to be scrutinized for APIs that do a write at the end and for such APIs a "dsb" instruction needs to be issued. This is prone to errors during maintenance work so it is safer to choose strongly-ordered. Presently, the architecture is more memory size constrained than cycles (MIPS) constrained so safety benefits at potentially increased cycles are a good trade-off.</li>
<li>L3 Memory has been set as normal. This means <b> for any transfer of ownership from R4F to non-R4F (peripherals, HW acc), a "dsb" instruction should be issued after the last write and before notifying/triggering the non-R4F entity.</b></li>
<li>Mailbox Memory has been set as normal. This means <b> for any transfer of ownership from R4F to non-R4F (BSS for example), a "dsb" instruction (MEM_BARRIER()) should be issued after the last write to the mailbox message memory before notifying/triggering the non-R4F entity.</b></li>
<li>HSRAM Memory has been set as normal. This means <b> for any transfer of ownership from R4F to DSS, a "dsb" instruction (MEM_BARRIER()) should be issued after the last write to the HSRAM memory before notifying/triggering the DSS.</b></li>
<li><p class="startli">ADC buffer, Chirp buffer, FFTC buffers (Mem0-3) (starting at 0x5200_0000) are combined with DSS peripheral region (starting at 0x5207_0000 + 128 bytes) are marked as strongly ordered even though probably the first three could be not strongly ordered and enforcement done through dsb when transferring ownership (similar to L3 case above). In practice the use cases for R4F to directly operate on these buffers is assumed to be for debug purposes so should not impact cycles really for production use cases. Combining L3 memory with ADC + Chirp + FFTc was not feasible because of the power of 2 size constraint for the regions (if we do the math, it will overlap into the DSS peripheral region which needs strong ordering).</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>
</li>
</ol>

</div>
</div>
<a class="anchor" id="ga89b4a22e97d42491cf568447656e2a3b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SOC_mpu_config </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *&#160;</td>
          <td class="paramname"><em>ptrSOCDriverMCB</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize MPU (Memory Protection Unit) settings. This is valid only for the R4. Information about MPU programming is available at:-</p>
<p><a href="http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html">http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html</a>.</p>
<ol type="1">
<li>This code comes up after the C initialization (from _c_int00 to main). Presently, the application comes up in privilege mode, not user mode. So the access permissions are set accordingly, even though user mode permissions are set as if true user mode is there (in case in future we decide to do user mode).</li>
<li>There is no cache on the R4F on the AR parts, so regions that would otherwise make sense to be cacheable are made non-cache.</li>
<li>Peripheral space is strongly ordered instead of device because writes need to go through when they are issued and not at a later (uncertain time when next read forces the writes sitting in write buffer to be flushed out, reference: <a href="http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html">http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.ddi0363g/Chdcahcf.html</a>). An alternative way is to use the Device type instead of strongly orderered but this requires all driver code to be scrutinized for APIs that do a write at the end and for such APIs a "dsb" instruction needs to be issued. This is prone to errors during maintenance work so it is safer to choose strongly-ordered. Presently, the architecture is more memory size constrained than cycles (MIPS) constrained so safety benefits at potentially increased cycles are a good trade-off.</li>
<li>L3 Memory has been set as normal. This means <b> for any transfer of ownership from R4F to non-R4F (peripherals, HW acc), a "dsb" instruction should be issued after the last write and before notifying/triggering the non-R4F entity.</b></li>
<li>Mailbox Memory has been set as normal. This means <b> for any transfer of ownership from R4F to non-R4F (BSS for example), a "dsb" instruction should be issued after the last write to the mailbox message memory before notifying/triggering the non-R4F entity.</b></li>
<li><p class="startli">ADC buffer, Chirp buffer, FFTC buffers (Mem0-3) (starting at 0x5200_0000) are combined with DSS peripheral region (starting at 0x5207_0000 + 128 bytes) are marked as strongly ordered even though probably the first three could be not strongly ordered and enforcement done through dsb when transferring ownership (similar to L3 case above). In practice the use cases for R4F to directly operate on these buffers is assumed to be for debug purposes so should not impact cycles really for production use cases. This consolidation saves a region which can be used by application for any suitable purpose e.g to protect stack. This free region is region 8. Combining L3 memory with ADC + Chirp + FFTc was not feasible because of the power of 2 size constraint for the regions (if we do the math, it will overlap into the DSS peripheral region which needs strong ordering).</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>
</li>
</ol>

</div>
</div>
<a class="anchor" id="ga9531663baac82acd86aaa33f0c883df1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SOC_SystemISR </td>
          <td>(</td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is the interrupt handler which is registered for all the system interrupts. The function cycles through and notifies all the registered listeners</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>System interrupt table entry.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7adba3f2efc14ca784b37d6fee7ccfde"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t SOC_unhaltDSS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to unhalt the DSS</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa75384b710572f73c234d190fe67650c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SOC_waitAPLLCalibration </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *&#160;</td>
          <td class="paramname"><em>ptrSOCDriverMCB</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function checks APLL status and wait until APLL clock Calibration is done from BSS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSOCDriverMCB</td><td>Pointer to the SOC Driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="gadda20055e302e796bb130f3a7df7a814"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SOC_TranslateAddr_LUT[<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga2c4964a35612a151679b7aab8952205c">SOC_TRANSLATEADDR_NUM_ENTRIES</a>][<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga71d7f2f81c629f7ff8bafc9f69aacc48a5ba1382d8cb23e520c7a22248a02fde5">SOC_TranslateAddr_LUT_Type_MAX</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    </div><div class="line">    {0x00000000U,0x40000000U,0x40000000U,0x0FFFFFFFU},      </div><div class="line">    {0x50000000U,0x06000000U,0x02000000U,0x00FFFFFFU},      </div><div class="line">    {0x51000000U,0x20000000U,0x20000000U,0x02FFFFFFU},      </div><div class="line">    {0x577E0000U,0x107E0000U,0x007E0000U,0x0081FFFFU}       </div><div class="line">}</div></div><!-- fragment -->
<p>SOC Lookup table for address translation. </p>
<p>The structure is a lookup table for address translation </p>

</div>
</div>
<a class="anchor" id="gadda20055e302e796bb130f3a7df7a814"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SOC_TranslateAddr_LUT[<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga2c4964a35612a151679b7aab8952205c">SOC_TRANSLATEADDR_NUM_ENTRIES</a>][<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga71d7f2f81c629f7ff8bafc9f69aacc48a5ba1382d8cb23e520c7a22248a02fde5">SOC_TranslateAddr_LUT_Type_MAX</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    </div><div class="line">    {0x00000000U,0x40000000U,0x0FFFFFFFU}, </div><div class="line">    {0x50000000U,0x02000000U,0x00FFFFFFU}, </div><div class="line">    {0x51000000U,0x20000000U,0x02FFFFFFU}  </div><div class="line">}</div></div><!-- fragment -->
<p>SOC Lookup table for address translation. </p>
<p>The structure is a lookup table for address translation </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
